## abook-qrcode 0.1

=== Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(abook_qrcode_plugin_la_SOURCES)

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/abook-qrcode
pkglibdir = $(libdir)/abook-qrcode
pkgincludedir = $(includedir)/abook-qrcode
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i486-pc-linux-gnu
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure AUTHORS COPYING compile config.guess \
	config.sub depcomp install-sh ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(plugindir)"
pluginLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(plugin_LTLIBRARIES)
am__DEPENDENCIES_1 =
abook_qrcode_plugin_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am__dirstamp = $(am__leading_dot)dirstamp
am_abook_qrcode_plugin_la_OBJECTS =  \
	src/abook_qrcode_plugin_la-menu-extension.lo
abook_qrcode_plugin_la_OBJECTS = $(am_abook_qrcode_plugin_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = src/$(DEPDIR)/abook_qrcode_plugin_la-menu-extension.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(abook_qrcode_plugin_la_SOURCES)
DIST_SOURCES = $(abook_qrcode_plugin_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ABOOK_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0  
ABOOK_LIBS = -pthread -losso-abook-1.0 -lhildon-1 -lhildonfm -lhildonmime -lebook-1.2 -lmcclient -losso -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgnomevfs-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ledataserver-1.2 -lxml2 -lgconf-2 -ltelepathy-glib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
ACLOCAL = ${SHELL} /home/milang/devel/abook-qrcode/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/milang/devel/abook-qrcode/missing --run tar
AR = i486-linux-gnu-ar
AUTOCONF = ${SHELL} /home/milang/devel/abook-qrcode/missing --run autoconf
AUTOHEADER = ${SHELL} /home/milang/devel/abook-qrcode/missing --run autoheader
AUTOMAKE = ${SHELL} /home/milang/devel/abook-qrcode/missing --run automake-1.8
AWK = gawk
CC = i486-linux-gnu-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = i486-linux-gnu-gcc -E
CPPFLAGS = 
CXX = i486-linux-gnu-g++
CXXCPP = i486-linux-gnu-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ERROR_CFLAGS = -Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter -Wdeclaration-after-statement -Wshadow -Wmissing-prototypes -Wmissing-declarations
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /scratchbox/tools/bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LQRE_CFLAGS =  
LQRE_LIBS = -lqrencode  
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/milang/devel/abook-qrcode/missing --run makeinfo
NMEDIT = 
OBJEXT = o
PACKAGE = abook-qrcode
PACKAGE_BUGREPORT = milang@tal.org
PACKAGE_NAME = abook-qrcode
PACKAGE_STRING = abook-qrcode 0.1
PACKAGE_TARNAME = abook-qrcode
PACKAGE_VERSION = 0.1
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = i486-linux-gnu-ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = i486-linux-gnu-strip
VERSION = 0.1
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = i486-linux-gnu
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i486-pc-linux-gnu
host_alias = i486-linux-gnu
host_cpu = i486
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/milang/devel/abook-qrcode/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 
AM_CFLAGS = $(ERROR_CFLAGS) -DG_LOG_DOMAIN=\"abook-plugin-qrcode\"
plugindir = $(libdir)/osso-addressbook/plugins
plugin_LTLIBRARIES = abook-qrcode-plugin.la
abook_qrcode_plugin_la_SOURCES = src/menu-extension.c $(null)
abook_qrcode_plugin_la_CFLAGS = $(AM_CFLAGS) $(ABOOK_CFLAGS) $(LQRE_CFLAGS)
abook_qrcode_plugin_la_LDFLAGS = $(AM_LDFLAGS) -avoid-version -module
abook_qrcode_plugin_la_LIBADD = $(ABOOK_LIBS) $(LQRE_LIBS)
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in: # $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
install-pluginLTLIBRARIES: $(plugin_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(plugindir)" || $(mkdir_p) "$(DESTDIR)$(plugindir)"
	@list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(plugindir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(plugindir)/$$f"; \
	  else :; fi; \
	done

uninstall-pluginLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(plugindir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(plugindir)/$$p"; \
	done

clean-pluginLTLIBRARIES:
	-test -z "$(plugin_LTLIBRARIES)" || rm -f $(plugin_LTLIBRARIES)
	@list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
src/$(am__dirstamp):
	@$(mkdir_p) src
	@: > src/$(am__dirstamp)
src/$(DEPDIR)/$(am__dirstamp):
	@$(mkdir_p) src/$(DEPDIR)
	@: > src/$(DEPDIR)/$(am__dirstamp)
src/abook_qrcode_plugin_la-menu-extension.lo: src/$(am__dirstamp) \
	src/$(DEPDIR)/$(am__dirstamp)
abook-qrcode-plugin.la: $(abook_qrcode_plugin_la_OBJECTS) $(abook_qrcode_plugin_la_DEPENDENCIES) 
	$(LINK) -rpath $(plugindir) $(abook_qrcode_plugin_la_LDFLAGS) $(abook_qrcode_plugin_la_OBJECTS) $(abook_qrcode_plugin_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)
	-rm -f src/abook_qrcode_plugin_la-menu-extension.$(OBJEXT)
	-rm -f src/abook_qrcode_plugin_la-menu-extension.lo

distclean-compile:
	-rm -f *.tab.c

include src/$(DEPDIR)/abook_qrcode_plugin_la-menu-extension.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c -o $@ $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \

=== debian/changelog ===
abook-qrcode (0.1) unstable; urgency=low

  * Initial version.

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 13 Sep 2010 17:37:00 +0200

=== debian/control ===
Source: abook-qrcode
Priority: optional
Section: comm
Maintainer: Kaj-Michael Lang <milang@tal.org>
Uploaders: Kaj-Michael Lang <milang@tal.org>
Build-Depends: debhelper (>= 4.0.0), cdbs, autotools-dev, libosso-abook-dev (>= 4.20100302), libqrencode-dev
Standards-Version: 3.8.0

Package: abook-qrcode
Section: user/office
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqrencode3
Description: Contact to QRcode exporter

## abook-qrcode 0.2

=== Makefile ===
--- 
+++ 
@@ -143,9 +143,9 @@
 PACKAGE = abook-qrcode
 PACKAGE_BUGREPORT = milang@tal.org
 PACKAGE_NAME = abook-qrcode
-PACKAGE_STRING = abook-qrcode 0.1
+PACKAGE_STRING = abook-qrcode 0.2
 PACKAGE_TARNAME = abook-qrcode
-PACKAGE_VERSION = 0.1
+PACKAGE_VERSION = 0.2
 PATH_SEPARATOR = :
 PKG_CONFIG = /scratchbox/tools/bin/pkg-config
 RANLIB = i486-linux-gnu-ranlib
@@ -153,7 +153,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = i486-linux-gnu-strip
-VERSION = 0.1
+VERSION = 0.2
 ac_ct_CC = 
 ac_ct_CXX = 
 ac_ct_F77 = 
@@ -199,7 +199,7 @@
 sharedstatedir = ${prefix}/com
 sysconfdir = /etc
 target_alias = 
-AM_CFLAGS = $(ERROR_CFLAGS) -DG_LOG_DOMAIN=\"abook-plugin-qrcode\"
+AM_CFLAGS = $(ERROR_CFLAGS) -DG_LOG_DOMAIN=\"abook-qrcode\"
 plugindir = $(libdir)/osso-addressbook/plugins
 plugin_LTLIBRARIES = abook-qrcode-plugin.la
 abook_qrcode_plugin_la_SOURCES = src/menu-extension.c $(null)

=== debian/changelog ===
abook-qrcode (0.2) unstable; urgency=low

  * Autosize image
  * Make it sharp
  * Add package icon
  * Add homepage and bugzilla link

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 14 Sep 2010 11:32:00 +0200

## abook-qrcode 0.3

=== Makefile ===
--- 
+++ 
@@ -56,15 +56,17 @@
 LTLIBRARIES = $(plugin_LTLIBRARIES)
 am__DEPENDENCIES_1 =
 abook_qrcode_plugin_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
-	$(am__DEPENDENCIES_1)
+	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 am__dirstamp = $(am__leading_dot)dirstamp
 am_abook_qrcode_plugin_la_OBJECTS =  \
-	src/abook_qrcode_plugin_la-menu-extension.lo
+	src/abook_qrcode_plugin_la-menu-extension.lo \
+	src/abook_qrcode_plugin_la-qrcode_export.lo
 abook_qrcode_plugin_la_OBJECTS = $(am_abook_qrcode_plugin_la_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
-DEP_FILES = src/$(DEPDIR)/abook_qrcode_plugin_la-menu-extension.Plo
+DEP_FILES = src/$(DEPDIR)/abook_qrcode_plugin_la-menu-extension.Plo \
+	src/$(DEPDIR)/abook_qrcode_plugin_la-qrcode_export.Plo
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
@@ -94,18 +96,18 @@
 AMDEP_FALSE = #
 AMDEP_TRUE = 
 AMTAR = ${SHELL} /home/milang/devel/abook-qrcode/missing --run tar
-AR = i486-linux-gnu-ar
+AR = ar
 AUTOCONF = ${SHELL} /home/milang/devel/abook-qrcode/missing --run autoconf
 AUTOHEADER = ${SHELL} /home/milang/devel/abook-qrcode/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/milang/devel/abook-qrcode/missing --run automake-1.8
 AWK = gawk
-CC = i486-linux-gnu-gcc
+CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2
-CPP = i486-linux-gnu-gcc -E
+CPP = gcc -E
 CPPFLAGS = 
-CXX = i486-linux-gnu-g++
-CXXCPP = i486-linux-gnu-g++ -E
+CXX = g++
+CXXCPP = g++ -E
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2
 CYGPATH_W = echo
@@ -117,11 +119,13 @@
 ECHO_N = -n
 ECHO_T = 
 EGREP = /scratchbox/tools/bin/grep -E
-ERROR_CFLAGS = -Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter -Wdeclaration-after-statement -Wshadow -Wmissing-prototypes -Wmissing-declarations
+ERROR_CFLAGS = -Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter -Wdeclaration-after-statement -Wshadow -Wmissing-prototypes -Wmissing-declarations -Werror
 EXEEXT = 
 F77 = 
 FFLAGS = 
 GREP = /scratchbox/tools/bin/grep
+HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
+HILDON_LIBS = -pthread -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
@@ -143,19 +147,19 @@
 PACKAGE = abook-qrcode
 PACKAGE_BUGREPORT = milang@tal.org
 PACKAGE_NAME = abook-qrcode
-PACKAGE_STRING = abook-qrcode 0.2
+PACKAGE_STRING = abook-qrcode 0.3
 PACKAGE_TARNAME = abook-qrcode
-PACKAGE_VERSION = 0.2
+PACKAGE_VERSION = 0.3
 PATH_SEPARATOR = :
 PKG_CONFIG = /scratchbox/tools/bin/pkg-config
-RANLIB = i486-linux-gnu-ranlib
+RANLIB = ranlib
 SED = /scratchbox/tools/bin/sed
 SET_MAKE = 
 SHELL = /bin/sh
-STRIP = i486-linux-gnu-strip
-VERSION = 0.2
-ac_ct_CC = 
-ac_ct_CXX = 
+STRIP = strip
+VERSION = 0.3
+ac_ct_CC = gcc
+ac_ct_CXX = g++
 ac_ct_F77 = 
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
@@ -166,7 +170,7 @@
 am__quote = 
 bindir = ${exec_prefix}/bin
 build = i486-pc-linux-gnu
-build_alias = i486-linux-gnu
+build_alias = 
 build_cpu = i486
 build_os = linux-gnu
 build_vendor = pc
@@ -176,7 +180,7 @@
 dvidir = ${docdir}
 exec_prefix = ${prefix}
 host = i486-pc-linux-gnu
-host_alias = i486-linux-gnu
+host_alias = 
 host_cpu = i486
 host_os = linux-gnu
 host_vendor = pc
@@ -192,20 +196,23 @@
 mkdir_p = mkdir -p -- .
 oldincludedir = /usr/include
 pdfdir = ${docdir}
-prefix = /usr
+prefix = /usr/local
 program_transform_name = s,x,x,
 psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
-sysconfdir = /etc
+sysconfdir = ${prefix}/etc
 target_alias = 
 AM_CFLAGS = $(ERROR_CFLAGS) -DG_LOG_DOMAIN=\"abook-qrcode\"
 plugindir = $(libdir)/osso-addressbook/plugins
 plugin_LTLIBRARIES = abook-qrcode-plugin.la
-abook_qrcode_plugin_la_SOURCES = src/menu-extension.c $(null)
-abook_qrcode_plugin_la_CFLAGS = $(AM_CFLAGS) $(ABOOK_CFLAGS) $(LQRE_CFLAGS)
+abook_qrcode_plugin_la_SOURCES = src/menu-extension.c \
+	src/qrcode_export.c src/qrcode_export.h \
+	$(null)
+
+abook_qrcode_plugin_la_CFLAGS = $(AM_CFLAGS) $(ABOOK_CFLAGS) $(HILDON_CFLAGS) $(LQRE_CFLAGS)
 abook_qrcode_plugin_la_LDFLAGS = $(AM_LDFLAGS) -avoid-version -module
-abook_qrcode_plugin_la_LIBADD = $(ABOOK_LIBS) $(LQRE_LIBS)
+abook_qrcode_plugin_la_LIBADD = $(ABOOK_LIBS) $(HILDON_LIBS) $(LQRE_LIBS)
 all: config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-am
 
@@ -296,34 +303,9 @@
 	@: > src/$(DEPDIR)/$(am__dirstamp)
 src/abook_qrcode_plugin_la-menu-extension.lo: src/$(am__dirstamp) \
 	src/$(DEPDIR)/$(am__dirstamp)
+src/abook_qrcode_plugin_la-qrcode_export.lo: src/$(am__dirstamp) \
+	src/$(DEPDIR)/$(am__dirstamp)
 abook-qrcode-plugin.la: $(abook_qrcode_plugin_la_OBJECTS) $(abook_qrcode_plugin_la_DEPENDENCIES) 
 	$(LINK) -rpath $(plugindir) $(abook_qrcode_plugin_la_LDFLAGS) $(abook_qrcode_plugin_la_OBJECTS) $(abook_qrcode_plugin_la_LIBADD) $(LIBS)
 
 mostlyclean-compile:
-	-rm -f *.$(OBJEXT)
-	-rm -f src/abook_qrcode_plugin_la-menu-extension.$(OBJEXT)
-	-rm -f src/abook_qrcode_plugin_la-menu-extension.lo
-
-distclean-compile:
-	-rm -f *.tab.c
-
-include src/$(DEPDIR)/abook_qrcode_plugin_la-menu-extension.Plo
-
-.c.o:
-	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-#	source='$<' object='$@' libtool=no \
-#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
-#	$(CCDEPMODE) $(depcomp) \
-#	$(COMPILE) -c -o $@ $<
-
-.c.obj:
-	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
-	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-#	source='$<' object='$@' libtool=no \
-#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
-#	$(CCDEPMODE) $(depcomp) \
-#	$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
-
-.c.lo:
-	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \

=== debian/changelog ===
abook-qrcode (0.3) stable; urgency=low

  * Ask where to save QR Code

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 21 Oct 2010 16:18:00 +0200

=== debian/control ===
Source: abook-qrcode
Priority: optional
Section: user/office
Maintainer: Kaj-Michael Lang <milang@tal.org>
Uploaders: Kaj-Michael Lang <milang@tal.org>
Build-Depends: debhelper (>= 4.0.0), cdbs, autotools-dev, libosso-abook-dev (>= 4.20100302), libqrencode-dev
Standards-Version: 3.8.0

Package: abook-qrcode
Section: user/office
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqrencode3
Description: Contact to QR Code exporter
Homepage: http://maemo.tal.org/index.php/maemo:abook_qrcode
XSBC-Bugtracker: http://bugzilla.tal.org/enter_bug.cgi?product=abook-qrcode
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oJDgcRBbRCQbEAAAUYSURBVGje7ZpPbNtkGMZ/dp24TtquaUdjtm4r
 mjqSDiGq9TAGmqqOXZhAPawXuCANTZpUiQvigsSFA1cOO0y7ITQJVInrtE2d
 OEBpUzYhJqGWiA2QAmmSpuvcJmv++OOAEiWu7SRt4w0NS1Hs/Hn9PO/7fs/7
 fFEkIYTgP3zIuw1gJD4i9fMAa/ffA0zPCUhCCGEYBrFYjHg8TqlUauqLQa3A
 8MG7RIaW6H/xe1aX32L5936WE6c4dDjCyZMn6e7u9obA7Ows4XCYkZERZLlx
 UYqPZihu3qBg3CB44At8XRMUN+dYf/AuWuhNEtlX+CM5xNmzZ9tOQAGIx+NM
 TExQLBYpl8sACCGqj8q1aZqUMh8glX7C3zOO9txn+LomAPAFTxHQP6ZoLLBP
 fE5g6xDgEYFSqYQkSdy8ebMKtHKYpsmZM2cQQnDt2jXefvU79Mg3KNrL24IF
 9r+P6L+AtvEtunEBgOnp6YYgxsfHOX/+/M4JVI6uri42NzdJpVIA6LpOZ2cn
 QggMw2B4eJi8+Tqr8XP0D19H0V7a3l65RTK/vkM2/xpHgcuXLzcEMT09vWMC
 dQ0fDAZJp9Pk83ny+TypVIpgMIhpmgQCAU6cOMGBI6cJdg1g/PXptmDCNFj/
 80O6ew+yURz2RIXqKqBpWt0ilmUZTdMQQpDJZFhdXUXvzbFPEijdUUQ5A8iI
 soEk+0Dk6fAdQYgHPNwIeE+gs7OTaDTK0tISAMeOHUNVVUzTpK+vj1AohI8y
 rA+y9XAWWVLYzMxQzP+GLxAh0HeOLeMu6v4x0tke7wn4/X5yuRzr6+sAFAoF
 /H5/tQLZbBaQCPdM0MVXPM5+SXfPAKr+BvmNFI+zX6P4Bwg+/wmF4nXvCSiK
 Qjwer14vLy8zNDRUV4F/pfUwfukofukXZOlviiKPEnwBv3aER8XToBz1bBLX
 EVBVlcnJyW36v30myOTMUXJihA7JAEqUzABlUwOkhjddWVlhZmam2qq1chuJ
 RJiamiIcDreuQnNzc5imyfz8PEII5ufnMU2ThYUFhBDEYjFisRhCCBYXFzGF
 jx9i99kq7WfxxyWEgDt37jS8aTgcZmpqikgkUvd6q+BtzVwl06ZpVs/Hxsaq
 w836nt3UbuawktgJ+KoXunLlChcvXmRtbY1CoeBoJZoBraoquq5z9epVLl26
 1HQ77QR8lcCtW7cIh8McP36cjo6OXS2qcrnMvXv3SKfTTZu5lZWVHYGvs9O3
 b98mkUjU+aAdBZQkQqEQo6OjRKNRb+w0QDKZJJlM0tvbu6uAiUQCVVUZHBxE
 13XvCOxJMMlZQq23qXxWCIEkSXXvtxJH2euM2OWjFlAtcDewjeK0jYD1RlYg
 1kxXKlB73UycPdvU77bFrCR2ZSW8IlE7S+wy/8QJOIFptT2aIaV40SZ27eL2
 3ChO22S0VZJ20toqHHmvgVkzV3nNTWncCDWqhNyu3rf2uJ2curWMdXY4EXki
 k7jZXreuD7sqta0CVutd20p28mmtktsAbOsacGsVN79jR64ZKZXboTDWyWrX
 LhVCTqSbSU5bCNjZAjulsSqT23c9N3NWME5ex6k9rJVy80ueeKFGRBoZPTfC
 SjtUyPrsBMhuoTa7sWkLgVbmgB1wu2ntdP5U7MicWsuuIk7J8XRHZiebVvBu
 KvTEd2R2mXfyS9ZJ/tQQqJVEu9lQO+CcqtZ2Ak4/O9oNLrdh1Yyd8HRH5qZI
 VrDN7pelZ/6/Ev8TeNYJ/ANlu201T0FhIgAAAABJRU5ErkJggg==

## abook-qrcode 0.4

=== Makefile ===
--- 
+++ 
@@ -96,21 +96,22 @@
 AMDEP_FALSE = #
 AMDEP_TRUE = 
 AMTAR = ${SHELL} /home/milang/devel/abook-qrcode/missing --run tar
-AR = ar
+AR = i486-linux-gnu-ar
 AUTOCONF = ${SHELL} /home/milang/devel/abook-qrcode/missing --run autoconf
 AUTOHEADER = ${SHELL} /home/milang/devel/abook-qrcode/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/milang/devel/abook-qrcode/missing --run automake-1.8
 AWK = gawk
-CC = gcc
+CC = i486-linux-gnu-gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2
-CPP = gcc -E
+CPP = i486-linux-gnu-gcc -E
 CPPFLAGS = 
-CXX = g++
-CXXCPP = g++ -E
+CXX = i486-linux-gnu-g++
+CXXCPP = i486-linux-gnu-g++ -E
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2
 CYGPATH_W = echo
+DEBUG_CFLAGS =  -DG_DISABLE_CHECKS -DG_DISABLE_CAST_CHECKS -DG_DISABLE_ASSERT
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
 DSYMUTIL = 
@@ -119,13 +120,13 @@
 ECHO_N = -n
 ECHO_T = 
 EGREP = /scratchbox/tools/bin/grep -E
-ERROR_CFLAGS = -Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter -Wdeclaration-after-statement -Wshadow -Wmissing-prototypes -Wmissing-declarations -Werror
+ERROR_CFLAGS = -Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter -Wdeclaration-after-statement -Wshadow -Wmissing-prototypes -Wmissing-declarations
 EXEEXT = 
 F77 = 
 FFLAGS = 
 GREP = /scratchbox/tools/bin/grep
-HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
-HILDON_LIBS = -pthread -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
+HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/sharingdialog  
+HILDON_LIBS = -pthread -lhildon-1 -lhildonfm -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lsharingdialog -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
@@ -144,22 +145,26 @@
 MAKEINFO = ${SHELL} /home/milang/devel/abook-qrcode/missing --run makeinfo
 NMEDIT = 
 OBJEXT = o
+OSSOAF_CFLAGS =  
+OSSOAF_LIBS =  
+OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
+OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
 PACKAGE = abook-qrcode
 PACKAGE_BUGREPORT = milang@tal.org
 PACKAGE_NAME = abook-qrcode
-PACKAGE_STRING = abook-qrcode 0.3
+PACKAGE_STRING = abook-qrcode 0.4
 PACKAGE_TARNAME = abook-qrcode
-PACKAGE_VERSION = 0.3
+PACKAGE_VERSION = 0.4
 PATH_SEPARATOR = :
 PKG_CONFIG = /scratchbox/tools/bin/pkg-config
-RANLIB = ranlib
+RANLIB = i486-linux-gnu-ranlib
 SED = /scratchbox/tools/bin/sed
 SET_MAKE = 
 SHELL = /bin/sh
-STRIP = strip
-VERSION = 0.3
-ac_ct_CC = gcc
-ac_ct_CXX = g++
+STRIP = i486-linux-gnu-strip
+VERSION = 0.4
+ac_ct_CC = 
+ac_ct_CXX = 
 ac_ct_F77 = 
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
@@ -170,7 +175,7 @@
 am__quote = 
 bindir = ${exec_prefix}/bin
 build = i486-pc-linux-gnu
-build_alias = 
+build_alias = i486-linux-gnu
 build_cpu = i486
 build_os = linux-gnu
 build_vendor = pc
@@ -180,7 +185,7 @@
 dvidir = ${docdir}
 exec_prefix = ${prefix}
 host = i486-pc-linux-gnu
-host_alias = 
+host_alias = i486-linux-gnu
 host_cpu = i486
 host_os = linux-gnu
 host_vendor = pc
@@ -196,14 +201,14 @@
 mkdir_p = mkdir -p -- .
 oldincludedir = /usr/include
 pdfdir = ${docdir}
-prefix = /usr/local
+prefix = /usr
 program_transform_name = s,x,x,
 psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
-sysconfdir = ${prefix}/etc
+sysconfdir = /etc
 target_alias = 
-AM_CFLAGS = $(ERROR_CFLAGS) -DG_LOG_DOMAIN=\"abook-qrcode\"
+AM_CFLAGS = $(ERROR_CFLAGS) $(DEBUG_CFLAGS) -DG_LOG_DOMAIN=\"abook-qrcode\"
 plugindir = $(libdir)/osso-addressbook/plugins
 plugin_LTLIBRARIES = abook-qrcode-plugin.la
 abook_qrcode_plugin_la_SOURCES = src/menu-extension.c \
@@ -300,12 +305,3 @@
 	@: > src/$(am__dirstamp)
 src/$(DEPDIR)/$(am__dirstamp):
 	@$(mkdir_p) src/$(DEPDIR)
-	@: > src/$(DEPDIR)/$(am__dirstamp)
-src/abook_qrcode_plugin_la-menu-extension.lo: src/$(am__dirstamp) \
-	src/$(DEPDIR)/$(am__dirstamp)
-src/abook_qrcode_plugin_la-qrcode_export.lo: src/$(am__dirstamp) \
-	src/$(DEPDIR)/$(am__dirstamp)
-abook-qrcode-plugin.la: $(abook_qrcode_plugin_la_OBJECTS) $(abook_qrcode_plugin_la_DEPENDENCIES) 
-	$(LINK) -rpath $(plugindir) $(abook_qrcode_plugin_la_LDFLAGS) $(abook_qrcode_plugin_la_OBJECTS) $(abook_qrcode_plugin_la_LIBADD) $(LIBS)
-
-mostlyclean-compile:

=== debian/changelog ===
abook-qrcode (0.4) stable; urgency=low

  * Display preview of QR Code
  * Add support for sharing QR Code

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 5 Nov 2010 14:52:00 +0200

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Use soft-float and thumb mode if it enabled. 
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
	NJOBS_OPT := $(shell ( \
		expr x"$$DEB_BUILD_OPTIONS" : x'.*parallel=\([0-9][0-9]*\)' \
		|| grep -c ^processor /proc/cpuinfo 2>/dev/null             \
		) | sed -n -e '/[1-9]/s/^/-j/p' )
	MAKEFLAGS += $(NJOBS_OPT)
endif

configure: configure-stamp configure.ac
configure-stamp:
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	CFLAGS="$(CFLAGS)" ./autogen.sh \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --sysconfdir=/etc \
		--disable-Werror \
		$(DEBUG_OPT) $(DOCS_OPT)
	touch configure-stamp

config.status: configure

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
binary-indep-after-arch: binary-arch
binary-indep-after-arch \
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installmime
	dh_install --list-missing
	dh_gconf
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep-after-arch
.PHONY: build clean binary-indep-after-arch binary-indep binary-arch binary install

## abook-qrcode 0.4.1

=== Makefile ===
--- 
+++ 
@@ -96,18 +96,18 @@
 AMDEP_FALSE = #
 AMDEP_TRUE = 
 AMTAR = ${SHELL} /home/milang/devel/abook-qrcode/missing --run tar
-AR = i486-linux-gnu-ar
+AR = ar
 AUTOCONF = ${SHELL} /home/milang/devel/abook-qrcode/missing --run autoconf
 AUTOHEADER = ${SHELL} /home/milang/devel/abook-qrcode/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/milang/devel/abook-qrcode/missing --run automake-1.8
 AWK = gawk
-CC = i486-linux-gnu-gcc
+CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2
-CPP = i486-linux-gnu-gcc -E
+CPP = gcc -E
 CPPFLAGS = 
-CXX = i486-linux-gnu-g++
-CXXCPP = i486-linux-gnu-g++ -E
+CXX = g++
+CXXCPP = g++ -E
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2
 CYGPATH_W = echo
@@ -120,10 +120,10 @@
 ECHO_N = -n
 ECHO_T = 
 EGREP = /scratchbox/tools/bin/grep -E
-ERROR_CFLAGS = -Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter -Wdeclaration-after-statement -Wshadow -Wmissing-prototypes -Wmissing-declarations
+ERROR_CFLAGS = -Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter -Wdeclaration-after-statement -Wshadow -Wmissing-prototypes -Wmissing-declarations -Werror
 EXEEXT = 
-F77 = 
-FFLAGS = 
+F77 = f77
+FFLAGS = -g -O2
 GREP = /scratchbox/tools/bin/grep
 HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/sharingdialog  
 HILDON_LIBS = -pthread -lhildon-1 -lhildonfm -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lsharingdialog -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
@@ -139,9 +139,9 @@
 LQRE_CFLAGS =  
 LQRE_LIBS = -lqrencode  
 LTLIBOBJS = 
-MAINT = #
-MAINTAINER_MODE_FALSE = 
-MAINTAINER_MODE_TRUE = #
+MAINT = 
+MAINTAINER_MODE_FALSE = #
+MAINTAINER_MODE_TRUE = 
 MAKEINFO = ${SHELL} /home/milang/devel/abook-qrcode/missing --run makeinfo
 NMEDIT = 
 OBJEXT = o
@@ -152,20 +152,20 @@
 PACKAGE = abook-qrcode
 PACKAGE_BUGREPORT = milang@tal.org
 PACKAGE_NAME = abook-qrcode
-PACKAGE_STRING = abook-qrcode 0.4
+PACKAGE_STRING = abook-qrcode 0.4.1
 PACKAGE_TARNAME = abook-qrcode
-PACKAGE_VERSION = 0.4
+PACKAGE_VERSION = 0.4.1
 PATH_SEPARATOR = :
 PKG_CONFIG = /scratchbox/tools/bin/pkg-config
-RANLIB = i486-linux-gnu-ranlib
+RANLIB = ranlib
 SED = /scratchbox/tools/bin/sed
 SET_MAKE = 
 SHELL = /bin/sh
-STRIP = i486-linux-gnu-strip
-VERSION = 0.4
-ac_ct_CC = 
-ac_ct_CXX = 
-ac_ct_F77 = 
+STRIP = strip
+VERSION = 0.4.1
+ac_ct_CC = gcc
+ac_ct_CXX = g++
+ac_ct_F77 = f77
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
 am__fastdepCXX_FALSE = #
@@ -175,7 +175,7 @@
 am__quote = 
 bindir = ${exec_prefix}/bin
 build = i486-pc-linux-gnu
-build_alias = i486-linux-gnu
+build_alias = 
 build_cpu = i486
 build_os = linux-gnu
 build_vendor = pc
@@ -185,7 +185,7 @@
 dvidir = ${docdir}
 exec_prefix = ${prefix}
 host = i486-pc-linux-gnu
-host_alias = i486-linux-gnu
+host_alias = 
 host_cpu = i486
 host_os = linux-gnu
 host_vendor = pc
@@ -206,7 +206,7 @@
 psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
-sysconfdir = /etc
+sysconfdir = ${prefix}/etc
 target_alias = 
 AM_CFLAGS = $(ERROR_CFLAGS) $(DEBUG_CFLAGS) -DG_LOG_DOMAIN=\"abook-qrcode\"
 plugindir = $(libdir)/osso-addressbook/plugins
@@ -225,7 +225,7 @@
 .SUFFIXES: .c .lo .o .obj
 am--refresh:
 	@:
-$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
+$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
 	    *$$dep*) \
@@ -252,9 +252,9 @@
 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 	$(SHELL) ./config.status --recheck
 
-$(top_srcdir)/configure: # $(am__configure_deps)
+$(top_srcdir)/configure:  $(am__configure_deps)
 	cd $(srcdir) && $(AUTOCONF)
-$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
+$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
 	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
 
 config.h: stamp-h1
@@ -266,7 +266,7 @@
 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
 	@rm -f stamp-h1
 	cd $(top_builddir) && $(SHELL) ./config.status config.h
-$(srcdir)/config.h.in: # $(am__configure_deps) 
+$(srcdir)/config.h.in:  $(am__configure_deps) 
 	cd $(top_srcdir) && $(AUTOHEADER)
 	rm -f stamp-h1
 	touch $@
@@ -305,3 +305,5 @@
 	@: > src/$(am__dirstamp)
 src/$(DEPDIR)/$(am__dirstamp):
 	@$(mkdir_p) src/$(DEPDIR)
+	@: > src/$(DEPDIR)/$(am__dirstamp)
+src/abook_qrcode_plugin_la-menu-extension.lo: src/$(am__dirstamp) \

=== debian/changelog ===
abook-qrcode (0.4.1) stable; urgency=low

  * Center the QR Code in the view

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 26 Mar 2012 15:53:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,18 @@
 Section: user/office
 Maintainer: Kaj-Michael Lang <milang@tal.org>
 Uploaders: Kaj-Michael Lang <milang@tal.org>
-Build-Depends: debhelper (>= 4.0.0), cdbs, autotools-dev, libosso-abook-dev (>= 4.20100302), libqrencode-dev
+Build-Depends: debhelper (>= 4.0.0), cdbs, autotools-dev,
+ libhildon1-dev, libhildonfm2-dev, sharing-dialog-dev, libosso-dev, osso-af-settings,
+ libosso-abook-dev (>= 4.20100622), libqrencode-dev
 Standards-Version: 3.8.0
 
 Package: abook-qrcode
 Section: user/office
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqrencode3
-Description: Contact to QR Code exporter
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqrencode3, sharing-dialog
+Description: Contact to QR Code export and share
+ Display and export an address book contact vCard as an QR Code image. Supports
+ sharing trough e-mail, bluetooth and any sharing service that supports images.
 Homepage: http://maemo.tal.org/index.php/maemo:abook_qrcode
 XSBC-Bugtracker: http://bugzilla.tal.org/enter_bug.cgi?product=abook-qrcode
 XB-Maemo-Icon-26:
